package com.liquidnet.common.third.zxlnft.dto;

import com.liquidnet.commons.lang.util.JsonUtils;
import lombok.Data;

import java.io.Serializable;

/**
 * @author AnJiabin <anjiabin@zhengzai.tv>
 * @version V1.0
 * @Description: TODO
 * @class: NftBatchTransferReq
 * @Package com.liquidnet.common.third.zxlnft.dto.nft
 * @Copyright: LightNet @ Copyright (c) 2021
 * @date 2022/2/18 15:56
 */
@Data
public class Nft048BatchTransferRespDto implements Serializable {
    /**
     * 任务ID
     */
    private String taskId;

    private static final Nft048BatchTransferRespDto obj = new Nft048BatchTransferRespDto();
    public static Nft048BatchTransferRespDto getNew() {
        try {
            return (Nft048BatchTransferRespDto) obj.clone();
        } catch (CloneNotSupportedException e) {
            return new Nft048BatchTransferRespDto();
        }
    }

    @Override
    public String toString(){
        return JsonUtils.toJson(this);
    }
}
